-- phpMyAdmin SQL Dump
-- version 5.2.1
-- https://www.phpmyadmin.net/
--
-- Host: db.ssec.wisc.edu
-- Generation Time: Jun 16, 2023 at 03:10 PM
-- Server version: 10.4.30-MariaDB
-- PHP Version: 7.4.33

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `lightning_meteograms`
--

-- --------------------------------------------------------

--
-- Table structure for table `example`
--

CREATE TABLE `example` (
  `id` bigint(20) NOT NULL,
  `sat_name` varchar(50) NOT NULL COMMENT 'E.g., GOES-16 ABI',
  `meso_domain` tinyint(4) NOT NULL COMMENT '1 or 0',
  `utctime` datetime NOT NULL,
  `localtime_ts` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  `pltg_1fl_60min` tinyint(4) NOT NULL COMMENT '0-100 (%)',
  `pltg_1fl_60min_max16km` tinyint(4) NOT NULL COMMENT '0-100 (%)',
  `glmct_8km_5min` smallint(6) DEFAULT NULL COMMENT 'GLM flash count within 8km of location and 5min before time',
  `glmct_16km_5min` smallint(6) DEFAULT NULL COMMENT 'GLM flash count within 16km of location and 5min before time',
  `enict_8km_5min` smallint(6) DEFAULT NULL,
  `enict_16km_5min` smallint(6) DEFAULT NULL,
  `cg_enict_8km_5min` smallint(6) DEFAULT NULL,
  `cg_enict_16km_5min` smallint(6) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_swedish_ci;

--
-- Indexes for dumped tables
--

--
-- Indexes for table `example`
--
ALTER TABLE `example`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `SAT-ISMESO-TIME` (`sat_name`,`meso_domain`,`utctime`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `example`
--
ALTER TABLE `example`
  MODIFY `id` bigint(20) NOT NULL AUTO_INCREMENT;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;

